import unittest

import vdcpy.file as vdc_file


class GetFileTest(unittest.TestCase):

    def test_successful_get_files(self):
        file_list = vdc_file.get_files()
        self.assertEqual(type(file_list), list)

    def test_successful_get_files_with_file_id(self):
        file_list = vdc_file.get_files(file_id='unittest_id')
        self.assertEqual(type(file_list), list)

    def test_successful_get_files_with_name(self):
        file_list = vdc_file.get_files(name='unittest_name')
        self.assertEqual(type(file_list), list)

    def test_successful_get_files_with_created_by(self):
        file_list = vdc_file.get_files(created_by='test')
        self.assertEqual(type(file_list), list)

    def test_successful_get_files_with_format(self):
        file_list = vdc_file.get_files(format='unittest_format')
        self.assertEqual(type(file_list), list)

    def test_successful_get_files_with_visibility(self):
        file_list = vdc_file.get_files(visibility='open')
        self.assertEqual(type(file_list), list)

    def test_successful_get_files_with_work(self):
        file_list = vdc_file.get_files(work='unittest_work')
        self.assertEqual(type(file_list), list)

    def test_successful_get_files_with_format_and_id(self):
        file_list = vdc_file.get_files(
            format='test', file_id='unittest_id'
        )
        self.assertEqual(type(file_list), list)

    def test_successful_get_project_with_visibility_and_file_list(self):
        project_list = vdc_file.get_files(
            visibility='open', name='unittest_name'
        )
        self.assertEqual(type(project_list), list)
