import unittest

import vdcpy.network as vdc_network


class GetNetworkTest(unittest.TestCase):

    def test_successful_get_networks(self):
        network_list = vdc_network.get_networks()
        self.assertEqual(type(network_list), list)

    def test_successful_get_networks_with_network_id(self):
        network_list = vdc_network.get_networks(network_id='unittest_id')
        self.assertEqual(type(network_list), list)

    def test_successful_get_networks_with_source(self):
        network_list = vdc_network.get_networks(source='unittest_source')
        self.assertEqual(type(network_list), list)

    def test_successful_get_networks_with_target(self):
        network_list = vdc_network.get_networks(target='unittest_target')
        self.assertEqual(type(network_list), list)
    
    def test_successful_get_networks_with_bandwidth(self):
        network_list = vdc_network.get_networks(bandwidth='unittest_bandwidth')
        self.assertEqual(type(network_list), list)

    def test_successful_get_networks_with_packet_loss(self):
        network_list = vdc_network.get_networks(packet_loss='unittest_packet_loss')
        self.assertEqual(type(network_list), list)
