import unittest

import vdcpy.user as vdc_user
import vdcpy.project as vdc_project
import tests.utils.project_util as project_util
import tests.utils.user_util as user_util

class UpdateProject(unittest.TestCase):

    def setUp(self):
        user_util.delete_unittest_users()
        user_util.add_unittest_user()
        project_util.add_unittest_project()

    def test_successful_update_project_title(self):
        # Get unittest project id
        project_list = vdc_project.get_projects(title='unittest_title')
        project_id = project_list[0]['id']
        project_info = {'title': 'unittest_title_updated'}
        new_project = vdc_project.update_project(project_id, project_info)
        self.assertEqual(type(new_project), dict)

    def TearDown(self):
        project_util.delete_unittest_project()
        user_util.delete_unittest_users()