import unittest

import vdcpy.site as vdc_site
import tests.utils.site_util as site_util


class AddSiteTest(unittest.TestCase):

    def setUp(self):
        site_util.delete_unittest_sites()

    def test_successful_add_site(self):
        site_info = {
            'name': 'unittest_site',
            'description': 'unittest_description',
            'logo': 'unittest_logo',
            'host': 'unittest_host',
            'slots': '5',
            'hub': 'true',
            'type': 'unittest_type',
            'gpu': 'true',
            'osg': 'true',
            'alluxio': 'true'
        }
        new_site = vdc_site.add_site(site_info)
        self.assertEqual(type(new_site), dict)

    def tearDown(self):
        site_util.delete_unittest_sites()
