import unittest

import vdcpy.site as vdc_site


class GetSiteTest(unittest.TestCase):

    def test_successful_get_sites(self):
        site_list = vdc_site.get_sites()
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_site_id(self):
        site_list = vdc_site.get_sites(site_id='unittest_id')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_name(self):
        site_list = vdc_site.get_sites(name='unittest_name')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_description(self):
        site_list = vdc_site.get_sites(description='unittest_description')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_logo(self):
        site_list = vdc_site.get_sites(logo='unittest_logo')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_host(self):
        site_list = vdc_site.get_sites(host='unittest_host')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_slots(self):
        site_list = vdc_site.get_sites(slots='unittest_slots')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_hub(self):
        site_list = vdc_site.get_sites(hub='unittest_hub')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_type(self):
        site_list = vdc_site.get_sites(type='unittest_type')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_gpu(self):
        site_list = vdc_site.get_sites(gpu='unittest_gpu')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_osg(self):
        site_list = vdc_site.get_sites(osg='unittest_osg')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_alluxio(self):
        site_list = vdc_site.get_sites(alluxio='unittest_alluxio')
        self.assertEqual(type(site_list), list)

    def test_successful_get_sites_with_type_and_id(self):
        site_list = vdc_site.get_sites(
            type='test', site_id='unittest_id'
        )
        self.assertEqual(type(site_list), list)

    def test_successful_get_project_with_slots_and_site_list(self):
        project_list = vdc_site.get_sites(
            slots='open', name='unittest_name'
        )
        self.assertEqual(type(project_list), list)
