import unittest

import vdcpy.site as vdc_site
import tests.utils.site_util as site_util

class UpdateSiteTest(unittest.TestCase):

    def setUp(self):
        site_util.delete_unittest_sites()
        site_util.add_unittest_site()

    def test_successful_update_site_name(self):
        # Get unittest site id
        site_list = vdc_site.get_sites(name='unittest_site')
        site_id = site_list[0]['id']
        new_info = {
            'name': 'unittest_site_updated'
        }
        updated_site = vdc_site.update_site(site_id, new_info)
        self.assertEqual(type(updated_site), dict)
        self.assertEqual(updated_site['name'], 'unittest_site_updated')

    def tearDown(self):
        site_util.delete_unittest_sites()
