import unittest

import vdcpy.user as vdc_user


class GetUserTest(unittest.TestCase):

    def test_successful_get_user(self):
        user_list = vdc_user.get_users()
        self.assertEqual(type(user_list), list)

    def test_successful_get_user_with_user_id(self):
        user_list = vdc_user.get_users(user_id='unittest_id')
        self.assertEqual(type(user_list), list)

    def test_successful_get_user_with_name(self):
        user_list = vdc_user.get_users(name='unittest_user')
        self.assertEqual(type(user_list), list)

    def test_successful_get_user_with_email(self):
        user_list = vdc_user.get_users(email='test@test.test')
        self.assertEqual(type(user_list), list)

    def test_successful_get_user_with_organization(self):
        user_list = vdc_user.get_users(organization='unittest_organization')
        self.assertEqual(type(user_list), list)

    def test_successful_get_user_with_position(self):
        user_list = vdc_user.get_users(position='unittest_position')
        self.assertEqual(type(user_list), list)
    
    def test_successful_get_user_with_position_and_id(self):
        user_list = vdc_user.get_users(
            position='unittest_position', user_id='unittest_id'
        )
        self.assertEqual(type(user_list), list)

    def test_successful_get_user_with_position_and_name(self):
        user_list = vdc_user.get_users(
            position='unittest_position', name='unittest_user'
        )
        self.assertEqual(type(user_list), list)
