import unittest

import vdcpy.work as vdc_work
import tests.utils.user_util as user_util
import tests.utils.project_util as project_util
import tests.utils.work_util as work_util

class DeleteWorkTest(unittest.TestCase):

    def setUp(self):
        # Delete all unittest users.
        user_util.delete_unittest_users()
        # Add a unittest user.
        user_util.add_unittest_user()
        # Add a unittest project.
        project_util.add_unittest_project()
        # Add a unittest work.
        work_util.add_unittest_work()
    
    def test_successful_delete_work(self):
        # Get the id of the unittest project.
        work_list = vdc_work.get_works(title='unittest_work')
        work_id = work_list[0]['id']
        # Delete the unittest project.
        response = vdc_work.delete_work(work_id)
        self.assertEqual(response, True)

    def TearDown(self):
        # Delete all unittest works.
        work_util.delete_unittest_works()
        # Delete all unittest projects.
        project_util.delete_unittest_project()
        # Delete all unittest users.
        user_util.delete_unittest_users()