import unittest

import vdcpy.work as vdc_work
import tests.utils.project_util as project_util
import tests.utils.user_util as user_util
import tests.utils.work_util as work_util


class UpdateWorkTest(unittest.TestCase):

    def setUp(self):
        user_util.delete_unittest_users()
        user_util.add_unittest_user()
        project_util.delete_unittest_project()
        project_util.add_unittest_project()
        work_util.add_unittest_work()

    def test_successful_update_work_title(self):
        # Get unittest work id
        work_list = vdc_work.get_works(title='unittest_work')
        work_id = work_list[0]['id']
        new_info = {
            'title': 'unittest_work_updated'
        }
        updated_work = vdc_work.update_work(work_id, new_info)
        self.assertEqual(type(updated_work), dict)

    def tearDown(self):
        work_util.delete_unittest_works()
        project_util.delete_unittest_project()
        user_util.delete_unittest_users()
